GCLOUD_COMPUTE_NETWORKS_SUBNETS_LIST(1)

NAME

gcloud compute networks subnets list - list Google Compute Engine subnetworks

SYNOPSIS

gcloud compute networks subnets list [NAME ...] [--limit LIMIT] [--network NETWORK] [--regexp REGEXP, -r REGEXP] [--regions REGION,[REGION,...]] [--sort-by SORT_BY] [--uri] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute networks subnets list displays all Google Compute Engine subnetworks in a project. By default, subnetworks from all regions are listed. The results can be narrowed down by providing the --regions flag.

POSITIONAL ARGUMENTS
[NAME ...]
    If provided, show details for the specified names and/or URIs of resources.

FLAGS
--limit LIMIT
    The maximum number of results.
--network NETWORK
    Only show subnetworks of a specific network.
--regexp REGEXP, -r REGEXP
    A regular expression to filter the names of the results on. Any names that do not match the entire regular expression will be filtered out.
--regions REGION,[REGION,...]
    If provided, only resources from the given regions are queried.
--sort-by SORT_BY
    A field to sort by. To perform a descending-order sort, prefix the value of this flag with a tilde (``~'').
--uri
    If provided, the list command will only print URIs for the resources returned. If this flag is not provided, the list command will print a human-readable table of useful resource data.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
To list all subnetworks in a project in table form, run:
    $ gcloud compute networks subnets list
To list the URIs of all subnetworks in a project, run:
    $ gcloud compute networks subnets list --uri
To list all subnetworks in the us-central1 and europe-west1 regions, run:
    $ gcloud compute networks subnets list --regions us-central1 \
        europe-west1